<?php
	// This is a sample php script on how to integrate the http POST request interface for the Geofency app on iOS.
	// This is only a short demo and not a productive script.
	// Feel free to modify this script according to your wishes.

    // Extract json encoded parameters from http POST request.
    $data = json_decode(file_get_contents('php://input'));
    
    // Incoming POST parameters provided by Geofency.
    // $date is a rfc3339 formatted date in the form: yyyy-MM-ddTHH:mm:ssZ
    $date=$data->{"date"};
    $isEntry=($data->{"entry"} == "1");
    $locationName=$data->{"name"};
    $locationID=$data->{"id"};
    $latitude=$data->{"latitude"};					// Center latitude of the location.
    $longitude=$data->{"longitude"};					// Center longitude of the location.
    $radius=$data->{"radius"};
    $address=$address->{"address"};
    $beaconUUID=$data->{"beaconUUID"};
    $major=$data->{"major"};
    $minor=$data->{"minor"};
    $deviceID=$data->{"device"};
    $currentLatitude=$data->{"currentLatitude"};    // Current latitude when entering or leaving the location.
    $currentLongitude=$data->{"currentLongitude"};  // Current longitude when entering or leaving the location.
    $wifiSSID=$data->{"wifiSSID"};				    // Connected Wi-Fi SSID. 
    $wifiBSSID=$data->{"wifiBSSID"};				// Connected Wi-Fi BSSID.
    $motion=$data->{"motion"};					    // Motion activity.

    if ($isEntry)
        $out = date('Y-m-d H:i:s') . " entryDate: " . $date . ", entered at " . $locationName . "\n";
    else
        $out = date('Y-m-d H:i:s') . "  exitDate: " . $date . ", exited  at " . $locationName . "\n";

    echo $out;

    $filename = "geofency.log";
    file_put_contents($filename, $out, FILE_APPEND | LOCK_EX);


    // Example condition:
    // Send http request if it's later than 8pm (20:00).
    $hour=substr($date, 8, 2);

    if ($hour > '20' && $isEntry) {
        echo "It’s time to eat <After Eight> and switch on lights.\n";
        // Integrate your e.g. house automation system here ...
        // http_get("http://www.mypage.com/switchOnLights.html”);
    }
?>
